Last Comment Bug 743224 - TB-IM: conv-top-info unreadable with Ubuntu default theme
: TB-IM: conv-top-info unreadable with Ubuntu default theme
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: 714733
  Show dependency treegraph
 
Reported: 2012-04-06 06:34 PDT by Richard Marti (:Paenglab)
Modified: 2012-04-16 01:49 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Issue (17.99 KB, image/png)
2012-04-06 06:34 PDT, Richard Marti (:Paenglab)
no flags Details
Patch (758 bytes, patch)
2012-04-06 06:39 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Richard Marti (:Paenglab) 2012-04-06 06:34:10 PDT
Created attachment 612869 [details]
Issue

With default Ubuntu theme the conv-top-info (the header on the right side) in chat is almost unreadable.
Comment 1 Richard Marti (:Paenglab) 2012-04-06 06:39:38 PDT
Created attachment 612872 [details] [diff] [review]
Patch

This patch fixes the issue giving -moz-appearance: none instead of toolbar.
I also fixed the conv-nicklist-header showing the personas background and having then a unreadable text.
Comment 2 Andreas Nilsson (:andreasn) 2012-04-13 09:04:37 PDT
Comment on attachment 612872 [details] [diff] [review]
Patch

Code and appearance looks good (tested on both Fedora and Ubuntu default themes).
Comment 3 Richard Marti (:Paenglab) 2012-04-13 09:10:21 PDT
Comment on attachment 612872 [details] [diff] [review]
Patch

[Approval Request Comment]
This is only CSS code, also low risk. When it doesn't land on aurora Ubuntu users would have problems with readability.
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-04-14 05:56:27 PDT
http://hg.mozilla.org/comm-central/rev/ce7b776aa2ca
Comment 5 Mark Banner (:standard8) 2012-04-16 01:49:31 PDT
Checked in:

http://hg.mozilla.org/releases/comm-aurora/rev/4cf830cbb75a

Note You need to log in before you can comment on or make changes to this bug.